### Constructor

# GimpUi ColorScale new

#### Declaration [src]

    GtkWidget*
    gimp_color_scale_new (
      GtkOrientation orientation,
      GimpColorSelectorChannel channel
    )

#### Description [src]

Creates a new `GimpColorScale` widget.

#### Parameters

`orientation`

  Type: `GtkOrientation`

  The scale’s orientation (horizontal or vertical).

`channel`

  Type: `GimpColorSelectorChannel`

  The scale’s color channel.

#### Return value

Type: `GtkWidget`

A new `GimpColorScale` widget.

The data is owned by the called function.